Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SceneGraphUIBase Class Reference
Inheritance diagram for SceneGraphUIBase:

## Public Member Functions
| __init__ (self, parent, editor)
| add (self, item, parentNP=None)
| addPandaObjectChildren (self, parent)
| changeHierarchy (self, data, x, y)
| changeLabel (self, itemId, newName)
| delete (self, itemId)
| deSelect (self, itemId)
| isChildOrGrandChild (self, parent, child)
| onBeginDrag (self, event)
| onCollapseAllChildren (self, evt=None)
| onDelete (self, evt=None)
| onExpandAllChildren (self, evt=None)
| onRename (self, evt=None)
| onSelected (self, event)
| onShowPopup (self, event)
| parent (self, oldParentId, newParentId, childName)
| populateExtraMenu (self)
| populateMenu (self)
| removePandaObjectChildren (self, parent)
| reParent (self, oldParent, newParent, child)
| reParentData (self, parent, child)
| reParentTree (self, parent, newParent)
| reset (self)
| select (self, itemId)
| showPandaObjectChildren (self)
| traverse (self, parent, itemId)
| traversePandaObjects (self, parent, objNodePath)

## Public Attributes
| currItem = None
| currObj = None
| editor = editor
| menu = wx.Menu()
| onBeginDrag
| onCollapseAllChildren = self.menu.Append(-1, 'Collapse All')
| onDelete = self.menu.Append(-1, 'Delete')
| onExpandAllChildren
| onRename = self.menu.Append(-1, 'Rename')
| onSelected
| onShowPopup
| root = self.tree.AddRoot('render')
bool | shouldShowPandaObjChildren = False
| tree

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor )

## Member Function Documentation

## ◆ add()

add | ( |  | self,
|  |  | item,
|  |  | parentNP = None )

## ◆ addPandaObjectChildren()

addPandaObjectChildren | ( |  | self,
|  |  | parent )

## ◆ changeHierarchy()

changeHierarchy | ( |  | self,
|  |  | data,
|  |  | x,
|  |  | y )

## ◆ changeLabel()

changeLabel | ( |  | self,
|  |  | itemId,
|  |  | newName )

## ◆ delete()

delete | ( |  | self,
|  |  | itemId )

## ◆ deSelect()

deSelect | ( |  | self,
|  |  | itemId )

## ◆ isChildOrGrandChild()

isChildOrGrandChild | ( |  | self,
|  |  | parent,
|  |  | child )

## ◆ onBeginDrag()

onBeginDrag | ( |  | self,
|  |  | event )

## ◆ onCollapseAllChildren()

onCollapseAllChildren | ( |  | self,
|  |  | evt = None )

## ◆ onDelete()

onDelete | ( |  | self,
|  |  | evt = None )

## ◆ onExpandAllChildren()

onExpandAllChildren | ( |  | self,
|  |  | evt = None )

## ◆ onRename()

onRename | ( |  | self,
|  |  | evt = None )

## ◆ onSelected()

onSelected | ( |  | self,
|  |  | event )

## ◆ onShowPopup()

onShowPopup | ( |  | self,
|  |  | event )

## ◆ parent()

parent | ( |  | self,
|  |  | oldParentId,
|  |  | newParentId,
|  |  | childName )

## ◆ populateExtraMenu()

populateExtraMenu | ( |  | self | ) |

Reimplemented in SceneGraphUI.

## ◆ populateMenu()

populateMenu | ( |  | self | ) |

## ◆ removePandaObjectChildren()

removePandaObjectChildren | ( |  | self,
|  |  | parent )

## ◆ reParent()

reParent | ( |  | self,
|  |  | oldParent,
|  |  | newParent,
|  |  | child )

## ◆ reParentData()

reParentData | ( |  | self,
|  |  | parent,
|  |  | child )

## ◆ reParentTree()

reParentTree | ( |  | self,
|  |  | parent,
|  |  | newParent )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ select()

select | ( |  | self,
|  |  | itemId )

## ◆ showPandaObjectChildren()

showPandaObjectChildren | ( |  | self | ) |

## ◆ traverse()

traverse | ( |  | self,
|  |  | parent,
|  |  | itemId )

## ◆ traversePandaObjects()

traversePandaObjects | ( |  | self,
|  |  | parent,
|  |  | objNodePath )

## Member Data Documentation

## ◆ currItem

currItem = None

## ◆ currObj

currObj = None

## ◆ editor

editor = editor

## ◆ menu

menu = wx.Menu()

## ◆ onBeginDrag

onBeginDrag

## ◆ onCollapseAllChildren

onCollapseAllChildren = self.menu.Append(-1, 'Collapse All')

## ◆ onDelete

onDelete = self.menu.Append(-1, 'Delete')

## ◆ onExpandAllChildren

onExpandAllChildren

## ◆ onRename

onRename = self.menu.Append(-1, 'Rename')

## ◆ onSelected

onSelected

## ◆ onShowPopup

onShowPopup

## ◆ root

root = self.tree.AddRoot('render')

## ◆ shouldShowPandaObjChildren

bool shouldShowPandaObjChildren = False

## ◆ tree

tree

Initial value:
= wx.TreeCtrl(self, id=-1, pos=wx.DefaultPosition,
size=wx.DefaultSize, style=wx.TR_MULTIPLE|wx.TR_DEFAULT_STYLE,
validator=wx.DefaultValidator, name="treeCtrl")